View Issue Details

IDProjectCategoryView StatusLast Update
0005069mantisbtrelationshipspublic2020-10-13 14:00
Reporterstevemagruder Assigned To 
PrioritynormalSeverityfeatureReproducibilityN/A
Status newResolutionopen 
Product Version0.19.2 
Summary0005069: Show issue category in relationship list.
Description

Related to 0004484, it would also be helpful to see the category of each issue in the relationship list. Sometimes projects comprise diverse categories, so showing an issue relating to another issue, just showing the project name, sometimes doesn't convey enough information.

TagsNo tags attached.

Relationships

related to 0014522 new I want to be able to configure the view in the Relationships window 

Activities

Ellerbrok1

Ellerbrok1

2005-02-15 03:09

reporter   ~0009317

I beg you to implement this feature soon!
Please! Please! Please!

It would also be nice to see the priority icon.

mgerben

mgerben

2005-02-15 04:01

reporter   ~0009319

Saw your issue and I implemented this locally. Can you guys let me know if this works for you?

Edit sourcefile core/relationship_api.php

You will see this code at lines 562-565:

add project name

if( $p_show_project ) {
$t_relationship_info_html .= $t_td . $t_related_project_name . ' </td>';
}

Change the $t_relationship_info... line into this one (one line):

$t_relationship_info_html .= $t_td . $t_related_project_name . ' (' . $t_bug->category . ') </td>';

Ellerbrok1

Ellerbrok1

2005-02-15 04:33

reporter   ~0009321

Hey! Thanks mgerben for your quick reply.

Your patch works. But only if you have relations from different projects. If you have only one project the categories are hidden (again).

I changed it a bit so that the categories are ALWAYS visible. Maybe one time there could be a config option for that.

add project name and category

$t_relationship_info_html .= $t_td;

if( $p_show_project ) {
$t_relationship_info_html .= $t_related_project_name . ' - ';
}
$t_relationship_info_html .= $t_bug->category .' </td>';

stevemagruder

stevemagruder

2005-06-12 01:43

reporter   ~0010483

Could the code by Ellerbrok1 be put into 1.0.0? It seems like a reasonable and simple addition to Mantis. It's very informative to see categories with relationships.

stevemagruder

stevemagruder

2005-06-12 14:00

reporter   ~0010488

I updated the code snippet to display the project and category in what appears to the Mantis standard:

add project name and category

$t_relationship_info_html .= $t_td;

if( $p_show_project ) {
$t_relationship_info_html .= '[' . $t_related_project_name . '] ';
}
$t_relationship_info_html .= $t_bug->category .' </td>';

rhalsell

rhalsell

2006-02-27 15:19

reporter   ~0012240

As much as I hate discussing relationships...

While adding the code manually fixes the issue, it will come undone with subsequent upgrades of the product.

Adding this feature would be fantastic. Saves having to click on the issue to see exactly what it is. (I would rather not have to put the catagory in the notes as I have resorted to in the past.)

stevemagruder

stevemagruder

2006-02-27 20:37

reporter   ~0012245

I agree that it's a good simple addition to the product.

However, adding this as a "mod" doesn't necessarily have to come undone with upgrades. As long as you have a good diff tool, code merges between your modded version and an upgrade are almost always easy.

parkvillegirl

parkvillegirl

2020-10-13 12:03

reporter   ~0064545

Last edited: 2020-10-13 14:00

View 3 revisions

We could REALLY use this feature. @stevemagruder - can the priority be upgraded on this issue?

Here's how this feature would help our current process:

  1. We have a production line workflow that converts legacy documents into S1000D XML. We use the Category field to identify the team that needs to resolve a problem identified with a document conversion. Sometimes the problem is related to the Automation code that converted SGML to XML; other times it's related to how the customer wrote the SGML source files; other times it's related to a problem in the stylesheet.
  2. In addition to the categories that identify teams, we also have a category called Epic that we use to group together all the bug issues for a single publication. When all the child Automation bugs are resolved, the Dev team knows to rerun the code that produced the XML publication associated with that Epic. However, the Dev team does not need to wait for SGML source code or stylesheet issues to be resolved before rerunning the code that produces the XML.

As you can see, it's really important for the Dev team to be able to see the Category of the child issues listed in the Relationships window so they can quickly determine whether the Epic is ready to be worked and the Automation code can be rerun. They can open each child issue to review it, but the truth is that they often don't - so issues that could be closed will instead languish at the Dev team's doorstep.

Issue History

Date Modified Username Field Change
2005-01-05 14:32 stevemagruder New Issue
2005-02-15 03:09 Ellerbrok1 Note Added: 0009317
2005-02-15 04:01 mgerben Note Added: 0009319
2005-02-15 04:33 Ellerbrok1 Note Added: 0009321
2005-06-12 01:43 stevemagruder Note Added: 0010483
2005-06-12 14:00 stevemagruder Note Added: 0010488
2006-02-27 15:19 rhalsell Note Added: 0012240
2006-02-27 20:37 stevemagruder Note Added: 0012245
2012-07-28 05:58 atrol Relationship added related to 0014522
2020-10-13 12:03 parkvillegirl Note Added: 0064545
2020-10-13 13:59 parkvillegirl Note Edited: 0064545 View Revisions
2020-10-13 14:00 parkvillegirl Note Edited: 0064545 View Revisions